// "$.index" is the main Window. If the top-level UI element is not assigned
// an explicit ID, the name of the view is used as its ID automatically.

var myImage = '/150.png';

var imageView = Ti.UI.createImageView({
	width: 150,
	height: 150,
	image: myImage
});

var imageBlob = imageView.toBlob();

if (_.isNull(imageBlob)) {
	// use toImage() instead - on android: imageBlob.height == imageBlob.width
	console.error("imageBlob is null - try .toImage()");
	imageBlob = imageView.toImage();
}
if (_.isNull(imageBlob)) {
	console.error("imageBlob is still null");
} else {
	console.log("imageBlob.height = " + imageBlob.height + ", imageBlob.width = " + imageBlob.width);
}
console.debug("imageView.rect = " + JSON.stringify(imageView.rect));

$.index.add(imageView);
$.index.open();
